Package org.apache.sling.auth.saml2

## Class SAML2RuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.sling.auth.saml2.SAML2RuntimeException

All Implemented Interfaces:
  `Serializable`

    public class SAML2RuntimeException
    extends RuntimeException

The SAML2RuntimeException is thrown when problems are encountered when processing SAML2 requests, and it is intended to halt the sign on process.

Author:
  cmrockwe@umich.edu
See Also:
  Serialized Form

### Constructor Summary

Constructors
`SAML2RuntimeException​(String message)`
`SAML2RuntimeException​(String message, Throwable cause)`
`SAML2RuntimeException​(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SAML2RuntimeException

    public SAML2RuntimeException​(String message,
                                 Throwable cause)

#### SAML2RuntimeException

    public SAML2RuntimeException​(Throwable cause)

#### SAML2RuntimeException

    public SAML2RuntimeException​(String message)